import { type Input } from 'valibot';
import type { NuxtUseScriptIntegrationOptions } from '#nuxt-scripts';
export interface ConfettiApi {
    addConfetti: (options?: {
        emojis: string[];
    }) => void;
}
declare global {
    interface Window {
        JSConfetti: {
            new (): ConfettiApi;
        };
    }
}
export declare const ConfettiOptions: import("valibot").ObjectSchema<Pick<{
    packageName: import("valibot").StringSchema<string>;
    file: import("valibot").OptionalSchema<import("valibot").StringSchema<string>, undefined, string | undefined>;
    version: import("valibot").OptionalSchema<import("valibot").StringSchema<string>, undefined, string | undefined>;
}, "version">, undefined, {
    version?: string | undefined;
}>;
export type ConfettiInput = Input<typeof ConfettiOptions>;
export declare function useScriptConfetti(options: ConfettiInput, _scriptOptions?: NuxtUseScriptIntegrationOptions): any;
