import { number, object, string, union } from "valibot";
import { useScript, validateScriptInputSchema } from "#imports";
export const FacebookPixelOptions = object({
  id: union([string(), number()])
});
export function useScriptFacebookPixel(options, _scriptOptions) {
  const scriptOptions = _scriptOptions || {};
  scriptOptions.beforeInit = () => {
    import.meta.dev && validateScriptInputSchema(FacebookPixelOptions, options);
    if (import.meta.client) {
      const fbq = window.fbq = function(...params) {
        fbq.callMethod ? fbq.callMethod(...params) : fbq.queue.push(params);
      };
      if (!window._fbq)
        window._fbq = fbq;
      fbq.push = fbq;
      fbq.loaded = true;
      fbq.version = "2.0";
      fbq.queue = [];
      fbq("init", options?.id);
      fbq("track", "PageView");
    }
    scriptOptions.beforeInit?.();
  };
  return useScript({
    key: "facebookPixel",
    src: "https://connect.facebook.net/en_US/fbevents.js"
  }, {
    ...scriptOptions,
    use() {
      return { fbq: window.fbq };
    }
  });
}
