import { type Input } from 'valibot';
import type { NuxtUseScriptIntegrationOptions } from '#nuxt-scripts';
export declare const FathomAnalyticsOptions: import("valibot").ObjectSchema<{
    site: import("valibot").StringSchema<string>;
    src: import("valibot").OptionalSchema<import("valibot").StringSchema<string>, undefined, string | undefined>;
    'data-spa': import("valibot").OptionalSchema<import("valibot").UnionSchema<(import("valibot").LiteralSchema<"auto", "auto"> | import("valibot").LiteralSchema<"history", "history"> | import("valibot").LiteralSchema<"hash", "hash">)[], "auto" | "history" | "hash">, undefined, "auto" | "history" | "hash" | undefined>;
    'data-auto': import("valibot").OptionalSchema<import("valibot").BooleanSchema<boolean>, undefined, boolean | undefined>;
    'data-canonical': import("valibot").OptionalSchema<import("valibot").BooleanSchema<boolean>, undefined, boolean | undefined>;
    'data-honor-dnt': import("valibot").OptionalSchema<import("valibot").BooleanSchema<boolean>, undefined, boolean | undefined>;
}, undefined, {
    site: string;
    src?: string | undefined;
    'data-spa'?: "auto" | "history" | "hash" | undefined;
    'data-auto'?: boolean | undefined;
    'data-canonical'?: boolean | undefined;
    'data-honor-dnt'?: boolean | undefined;
}>;
export type FathomAnalyticsInput = Input<typeof FathomAnalyticsOptions>;
export interface FathomAnalyticsApi {
    trackPageview: (ctx?: {
        url: string;
        referrer?: string;
    }) => void;
    trackEvent: (eventName: string, value: {
        _value: number;
    }) => void;
}
declare global {
    interface Window {
        fathom: FathomAnalyticsApi;
    }
}
export declare function useScriptFathomAnalytics<T extends FathomAnalyticsApi>(options?: FathomAnalyticsInput, _scriptOptions?: Omit<NuxtUseScriptIntegrationOptions, 'assetStrategy'>): any;
