import { object, optional, string } from "valibot";
import { withBase } from "ufo";
import { useScript, validateScriptInputSchema } from "#imports";
export const NpmOptions = object({
  packageName: string(),
  file: optional(string()),
  version: optional(string())
});
export function useScriptNpm(options, _scriptOptions) {
  const scriptOptions = _scriptOptions || {};
  scriptOptions.beforeInit = () => {
    import.meta.dev && validateScriptInputSchema(NpmOptions, options);
  };
  return useScript({
    key: options.packageName,
    src: options.src || withBase(options.file || "", `https://unpkg.com/${options?.packageName}@${options.version || "latest"}`)
  }, scriptOptions);
}
